mypy (1.17.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Aug 2025 15:09:14 +0200

mypy (1.17.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Aug 2025 13:38:57 +0200

mypy (1.16~rc0.1-1) experimental; urgency=medium

  * New upstream snapshot: https://github.com/python/mypy/commit/
    334469f999c5c777124a123062b4349614447e0d
  * d/patches: drop 3 patches applied upstream: 0005-pythoncapi_compat-
    don-t-define-Py_NULL-if-it-is-alre, gnu-hurd-getsockname, replace-
    old-typing_extensions-imports
  * d/control: new build requirement: python3-pathspec

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 May 2025 13:42:43 +0200

mypy (1.15.0-5) unstable; urgency=medium

  * Team upload.
  * Replace old typing_extensions imports in tests (closes: #1101856).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 18:08:15 +0100

mypy (1.15.0-4) unstable; urgency=medium

  * Team upload.
  * Unset CFLAGS when running tests (closes: #1098578).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 16:40:29 +0000

mypy (1.15.0-3) unstable; urgency=medium

  * Added patch to fix the Python3.12 build with gcc-15. Closes:
    #1097426

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Feb 2025 01:40:12 +0100

mypy (1.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add hurd-amd64 to list of architectures that use the multifile option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 17 Feb 2025 08:18:50 +0100

mypy (1.15.0-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * d/patches/gnu-hurd-getsockname: Address failing tests on GNU/Hurd
    - https://github.com/python/mypy/pull/18630
    (Closes: #1095420)
  * d/rules: Fix x32 build by using multifile option
  * d/rules: Use multifile option for all architectures that require reduced
    memory usage during compilation for consistency
    - i386 was using reduced the debug level instead
    - hurd-i386 was using both, which was an overkill
    - x32 was intending to use reduced debug level, but DEB_HOST_ARCH_CPU
      on x32 is amd64 so the filter did not match

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 11 Feb 2025 16:07:42 +0100

mypy (1.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 05 Feb 2025 08:50:46 +0100

mypy (1.15~rc0.2-1) experimental; urgency=medium

  * d/rules: added a build profile extension: pkg.mypy.multifile to speed up
    compilation by enabling MYPYC_MULTI_FILE=1 even on architectures where
    we don't normally do that.
  * d/rules: added a build profile extension: pkg.mypy.o1 to speed up
    compilation by enabling MYPYC_OPT_LEVEL=1 → -O1 instead of -O3
  * d/rules: enable building the python extensions in parallel, respecting
    DEB_BUILD_OPTIONS.
  * d/salsa-ci.yml: Enable both of the speed-up build profiles to hopefully
    finish the build within the 3 hour limit.
  * Snapshot from upstream for experimental
    https://github.com/python/mypy/commit/23d862dd6fbb905a69bcb31e88746dc7a1eb4a43
  * Refreshed the patches
  * d/control: added build-dependency on python3-sphinx-inline-tabs for
    the docs
  * mypyc: Install googletest and lib-rt/{setup.py,*.cc} to the correct locations.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Jan 2025 10:21:23 +0100

mypy (1.14.1-3) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:24:57 +0100

mypy (1.14.1-2) unstable; urgency=medium

  * d/rules: Applied patch from Samuel Thibault to fix FTBFS on hurd-i386.
    Closes: #1093423

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 16:30:17 +0100

mypy (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Jan 2025 19:18:35 -0800

mypy (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: update build-depends, remove python3-wheel.
  * Refreshed patches
  * d/source/lintian-overrides: unneeded, removed
  * testing: skip testDaemonStatusKillRestartRecheck

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 20 Dec 2024 19:46:11 -0800

mypy (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-orjson on arches alongside i386 where it is
    not available (rust is not available) [!alpha !hppa !m68k !sh4 !x32]
    See Bug#1087727. Closes: #1087661, #1087662.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 19:57:54 +0100

mypy (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * recommend python3-orjson for a faster cache

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 17:12:46 +0200

mypy (1.12.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Oct 2024 08:49:07 +0200

mypy (1.12.0-1) unstable; urgency=medium

  * New upstream version supports Python 3.13. Closes: #1081617
  * d/control: docs now need python3-myst-parser
  * d/control: adjust python dev build-deps to be more crossbuild
    friendly.
  * d/control: add some minimum versions to the {build-,}deps
  * d/control: drop python3-pkg-resources dependency, it is unneeded.
    Closes: #1083500

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 14:06:23 +0200

mypy (1.11.2-3) unstable; urgency=medium

  * d/rules: adjust build flags for mips64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 11:27:22 +0200

mypy (1.11.2-2) unstable; urgency=medium

  * d/tests/run-unit-test: also run the mypyc tests
  * d/tests/run-unit-test: skip some tests that are not runnable post-
    installation.
  * d/tests/control: need g++ for mypyc tests

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 04 Sep 2024 15:09:45 +0200

mypy (1.11.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: removed the patches that were cherry-picked from upstream
    that are now apart of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 09:31:14 +0900

mypy (1.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:55:57 +0200

mypy (1.11.1-2~0exp1) experimental; urgency=medium

  * d/rules: compile with less debugging on i386 to avoid running out of
    virtual memory.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 12:46:40 +0200

mypy (1.11.1-2~0exp0) experimental; urgency=medium

  * d/patches: cherry-pick 3 patches from upstream to fix a regression
    found in SQLalchemy
  * d/rules: add "-Wno-misleading-indentation" as there are too many
    lines of autogenerated code to care about such a thing.
  * Include snapshot of the sphinx objects from monkeytype.org, updated
    intersphinx patch to use them to generate valid links to those external
    docs.
  * Silence many lintian warnings that have been reported upstream
  * Also build the mypyc docs
  * d/rules: compile with a normal debugging level: -g2
  * Simplify the nodoc logic

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Aug 2024 15:51:13 +0200

mypy (1.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 15:20:23 +0200

mypy (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed intersphinx patch to link to the local docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 10:04:42 +0200

mypy (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:16:18 +0200

mypy (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Remove patches applied upstream: self_check, typing_extensions_4.10, pytest8
  * d/patches/intersphinx: updated path for cython3 & six docs
  * d/control: mypy-doc, bump suggests to recommends

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 24 Apr 2024 17:13:26 +0300

mypy (1.9.0-4) unstable; urgency=medium

  * d/{tests/,}control: Pin the minimum version of pytest
  * d/rules: try MYPYC_MULTI_FILE=1 on weaker archs instead of other
    build tricks.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 07:45:33 +0100

mypy (1.9.0-3) unstable; urgency=medium

  * Added patch to fix FTBFS with Pytest 8.1+

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 16:52:29 +0100

mypy (1.9.0-2) unstable; urgency=medium

  * d/patches/typing_extensions_4.10.path: cherry-pick from upstream.
    Closes: #1065805.
  * d/control: pin minimum version of the typing_extensions dependency to 4.10

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 14:37:18 +0100

mypy (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches.
  * d/upstream/metadata: link to the changelog.
  * d/patches/self_check.patch: cherry-picked from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Mar 2024 09:33:10 +0100

mypy (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: remove sphinx_7 which upstream merged.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Dec 2023 18:42:00 +0100

mypy (1.7.1-3) unstable; urgency=medium

  * Missed a test fix for the Debian-specific typeshed advice.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 21:17:15 +0100

mypy (1.7.1-2) unstable; urgency=medium

  * d/rules: Build fixes for mips64el (and hppa) courtesy of Adrian
    Bunk.
  * d/patches/hint-typeshed-package: mention the python3-typeshed Debian
    package, when appropriate. Thanks to Markus Demleitner <msdemlei@fsfe.org>
    for the suggestion (Closes: #1043266).

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 12:47:14 +0100

mypy (1.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Nov 2023 19:16:19 +0100

mypy (1.7.0-3) unstable; urgency=medium

  * r/rules: skip compiling using mypyc on riscv64.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Nov 2023 15:58:40 +0100

mypy (1.7.0-2) unstable; urgency=medium

  * d/rules: drop armhf down to -O1 due to persistant out of memory
    errors on the buildbots.
  * d/rules: reduce build-time gcc debugging level (to "-g1") for all 32-bit
    archs.
  * d/rules: try again to compile using mypyc on riscv64 and mips64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 19:37:41 +0100

mypy (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches/sphinx_7: fix for newer Sphinx.
  * d/rules: skip two tests that don't expect the docutils types we pull in
             as part of python3-typeshed, and the PEP561Suite due to needing
             internet access to PyPI

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 11:26:34 +0100

mypy (1.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Oct 2023 20:22:23 +0100

mypy (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patch for python3.10.3
  * d/rules: remove skip of PEP561Suite

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Oct 2023 12:10:28 +0200

mypy (1.5.1-2) unstable; urgency=medium

  * Demote armel/armhf to "-O2".

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Aug 2023 15:04:32 +0200

mypy (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/source/lintian-overrides: update to match changes in upstream
  * d/rules: skip the PEP561Suite tests which require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 19:44:24 +0200

mypy (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.5.0 (Closes: #1042039)
    - Refresh patches
    - Build-Depend on python3-attr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 11 Aug 2023 13:05:43 +0200

mypy (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Drop the cherry-picked 32-bits.patch, it is part of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Feb 2023 12:56:47 +0100

mypy (1.0.0-1) unstable; urgency=medium

  * Add patch to fix test for 32-bit systems, cherry-picked from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Feb 2023 00:24:00 +0100

mypy (0.991-3) unstable; urgency=medium

  * Team upload.
  * Add a Depends on python3-tomli for the autopkgtest, so it can run on
    Python 3.11, and test all branches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Feb 2023 08:05:19 -0400

mypy (1.0.0-1~0exp1) experimental; urgency=medium

  * Revert: Try the same level of optimization on all archs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Feb 2023 13:22:02 +0100

mypy (1.0.0-1~0exp) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.
  * d/control: Build-Depend on the generic python3-venv.
  * Try the same level of optimization on all archs.
  * d/control: remove unused dependency on distutils.
  * d/source/lintian-overrides: ignore false positives about distutils.
  * d/control: build-dep on furo; drop patch to use the standard sphinx
    theme.
  * d/tests/control: tests need python3-tomli

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Feb 2023 18:55:44 +0100

mypy (0.991-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3.10-venv

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Feb 2023 16:19:50 +0100

mypy (0.991-1) unstable; urgency=medium

  * New upstream version
  * Also need python3.11-venv

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Nov 2022 14:05:35 +0100

mypy (0.990-1) unstable; urgency=medium

  * New upstream version
  * Remove debian/patches/psutils-in-typeshed as it is no longer needed.
    All other patches refreshed.
  * d/control: Need newer typeshed for the selftests.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Nov 2022 15:33:50 +0100

mypy (0.982-2) unstable; urgency=medium

  * Team upload

  [ Jochen Sprickerhof ]
  * d/control: Drop unused dependency on python3-typed-ast
    This dependency is only required for Python < 3.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Oct 2022 23:39:29 +0200

mypy (0.982-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 04 Oct 2022 10:29:51 +0200

mypy (0.981-2) unstable; urgency=medium

  * d/control: this release breaks older releases of the dataclasses-
    json Python package.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 02 Oct 2022 12:53:41 +0200

mypy (0.981-1) unstable; urgency=medium

  * New upstream version
  * removed 4 patches applied upstream; refreshed the rest.
  * python3.10-venv is now needed for the tests
  * debian/rules: skip testCustomTypeshedDirWithRelativePathDoesNotCrash

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Sep 2022 11:52:42 +0200

mypy (0.971-4) unstable; urgency=medium

  * Team upload.
  * Patch: sleep() in mypyc test suite to avoid races and fix FTBFS on s390x.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2022 17:18:20 +0200

mypy (0.971-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Stop skipping tests.

  [ Stefano Rivera ]
  * Team upload.
  * Depend on python3-setuptools for autopkgtest, no longer a dependency of
    python3-virtualenv.
  * Recommend python3-setuptools, required by mypyc.
  * Refresh PQ patches.
  * Patch: Python 3.10.7 support.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2022 12:36:51 +0200

mypy (0.971-2) unstable; urgency=medium

  * debian/rules: Only run the tests for arch-dependent builds
  * debian/patches/intersphinx: update patch for "six" links

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Aug 2022 15:14:24 +0200

mypy (0.971-1) unstable; urgency=medium

  * New upstream version
  * debian/clean: add additional directories & files
  * debian/patches/walrus.patch: cherry-pick patch from upstream to fix the
    walrus tests. Closes: #1017145, #1017312

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Aug 2022 14:41:00 +0200

mypy (0.961-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 06 Jun 2022 21:29:13 +0200

mypy (0.960-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh patches
  * Skip the furo docs theme; it is no packaged yet for Debian.
  * debian/copyright: remove unused entries

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 02 Jun 2022 15:10:28 +0200

mypy (0.942-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream version
  * Patch: Python 3.10.3 support. Closes: #1008259

  [ Michael R. Crusoe ]
  * Drop the python 3.10.1 patch, no longer needed

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Apr 2022 22:07:43 -0400

mypy (0.931-1) unstable; urgency=medium

  * New upstream version
  * Remove mypc_fix, was incorporated upstream.
  * Skip some tests due to 64-bit assumptions. Closes: #1002909

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 10 Jan 2022 10:42:31 +0100

mypy (0.930-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian Python Team

  [ Michael R. Crusoe ]
  * New upstream version
  * Refresh patches
  * debian/patches/mypyc_fix: new patch as per upstream suggestion
  * debian/{rules,tests/run-unit-test}: skip fewer tests

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Dec 2021 10:16:35 +0100

mypy (0.921-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: skip testErrorOutput for now
  * debian/patches/python3.10.1{,_part2}: cherry-pick patches from upstream
    for Python 3.10.1 compat.
  * debian/control: add tomli build-dep
  * debian/patches: small refresh

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Dec 2021 21:04:13 +0100

mypy (0.910-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Build-Depends/autopkgtest: replace python3-types-* with python3-typeshed
    (Closes: #999479)
  * Recommend python3-typeshed
  * Don't ignore typing for psutil (now provided by typeshed)

  [ Andreas Tille ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-typed-ast.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 07:32:09 +0100

mypy (0.910-3) unstable; urgency=medium

  * 32 bit systems: compile with -g1 instead of other approaches; fix courtesy
    of Adrian Bunk <bunk@debian.org>
    Closes: #988469
  * Autopkgtests: skip the self-test for this release (but not the main
    test suite).

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 10:33:52 +0200

mypy (0.910-2) unstable; urgency=medium

  * skip known failing tests on 32-bit systems.
  * -docs: link to the relevant Debian -doc packages
  * indep builds now skip compiling mypy

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Sep 2021 17:07:23 +0200

mypy (0.910-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add build-dep on python3-types-{toml,typed-ast}

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Sep 2021 13:27:25 +0200

mypy (0.812-1) unstable; urgency=medium

  * New upstream version:
    "This release fixes a regression in module finding behavior and adds the
     --exclude flag for excluding certain paths when searching for modules."

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Feb 2021 10:14:09 +0100

mypy (0.800-2) unstable; urgency=medium

  * armel: Lower to -O0.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Jan 2021 12:43:21 +0100

mypy (0.800-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches, deleting several.
  * Update autopkgtests for pytest 6.x compatability.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Jan 2021 15:50:22 +0100

mypy (0.790-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * watch file standard 4 (routine-update)
  * Do not hardcode Python3.8
    Closes: #976779

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2020 21:40:01 +0100

mypy (0.790-2) unstable; urgency=medium

  * debian/patches/py39: from upstream to support Python 3.9
  * debian/rules: skip the tests on Python3.9 as python3-lxml needs a rebuild

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 12:31:21 +0200

mypy (0.790-1) unstable; urgency=medium

  * New upstream version
  * debian/patches/ignore_mypyc: refreshed
  * debian/patches/mypyc_analysis: add files accidently left out of upstream's
    tarball
    Closes: #972013
  * Disable self test until pytest >= 6.0 is in Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 10:33:35 +0200

mypy (0.782-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * debian/patches/proper_plugin: removed as upstream fixed their sdist
    courtesy of a patch from Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Jun 2020 11:36:41 +0200

mypy (0.781-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: remove file mention that is no longer distributed by
    upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Jun 2020 19:04:33 +0200

mypy (0.770-2) unstable; urgency=medium

  [ Etienne Mollier ]
  * Moved from rst2man to sphinx-build.  Closes: #952757

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Apr 2020 10:11:42 +0200

mypy (0.770-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Demote sh4, sparc64, riscv64, and m68k to python only
  * Skip fragile test
  * debian/upstream/metadata: fix/add
    Repository{,-Browse},Bug-{Database,Submit{

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Apr 2020 09:58:24 +0200

mypy (0.761-1) unstable; urgency=medium

  * Demote riscv64 to -O0
  * Demote hppa to -O2
  * New upstream version
  * Remove stubgen-fix.patch, it was applied upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Jan 2020 22:04:59 +0100

mypy (0.750-1) unstable; urgency=low

  * Give up trying to build on the alpha architecture, switch to pure Python
    there.
  * Demote riscv64 to -O1 and m68k to -O0
  * Prepare for coming Python3.8 transition and run the tests using all
    installed Python versions.
  * New upstream version
  * debian/patches/stubgen-fix.patch: Pull a fix from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Dec 2019 13:00:56 +0100

mypy (0.740-6) unstable; urgency=medium

  * As MYPYC enabled builds are not working on mips64el, mipsel, ia64, powerpc, or
    sh4 then don't compile to C on those platforms.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 29 Oct 2019 20:49:18 +0100

mypy (0.740-5) unstable; urgency=medium

  * Some armhf builders have enough memeory for -O2 (arm-arm-01) but others
    don't (arm-ubc-*), drop armhf to -O1
  * mips64el and mipsel are still failing, sending them to the -O0 tier

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 29 Oct 2019 14:02:38 +0100

mypy (0.740-4) unstable; urgency=medium

  * Poor mipsel & mipsel64, can't handle -O2 either. PowerPC and ia64 both have
    "Error: operand out of  range" errors, so drop each of them another -O level
    to see if that helps at all. SH4 still is OOM at -O1, drop to -O0.
  * typo fix: risc64 → riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 25 Oct 2019 18:26:10 +0200

mypy (0.740-3) unstable; urgency=medium

  * Further lower package build time optimization for armhf, armel, mips64el,
    mipsel, alpha, m68k, powerpc, risc64, and sh4
  * Increased the build verbosity

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Oct 2019 21:27:32 +0200

mypy (0.740-2) unstable; urgency=medium

  * Incorporate high quality hand written manual pages courtesy of
    Andrej Shadura <andrew.shadura@collabora.co.uk>
  * Reduce optimization level during the build for the armel, alpha, m68k,
    powerpc, and sh4 archs
  * Added missing importlib-metadata build-dep for pytest on some archs where
    this isn't happening automatically: ppc64 riscv64 x32
  * /usr/bin/{mypy,dmypy,stubgen} was accidentally included in python3-mypy when
    build standalone. Fixed this and added a breaks & replaces on the older
    version. Closes: #943357

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Oct 2019 16:49:06 +0200

mypy (0.740-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Build mypy binaries using mypyc.
  * Fix typos in upstream sources

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 23 Oct 2019 18:44:56 +0200

mypy (0.730-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 05 Oct 2019 15:38:41 +0200

mypy (0.720-3) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Pluck patch from upstream to cope with changes to lxml. Closes: #939045

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 02 Sep 2019 17:10:54 +0900

mypy (0.720-2) unstable; urgency=medium

  * Fix AutoPkgTest path

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 30 Jul 2019 19:47:02 +0200

mypy (0.720-1) unstable; urgency=medium

  * New upstream release. Closes: #930928.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 13 Jul 2019 12:09:09 +0200

mypy (0.670-2) unstable; urgency=medium

  * Include upstream's README.md in the the mypy binary package.
  * Fix dependecy version between mypy and python3-mypy. Closes: #921990.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 Feb 2019 00:25:00 -0800

mypy (0.670-1) unstable; urgency=medium

  * New upstream version
  * debian/control: bump and tighten the python3-typed-ast dependency
  * debian/clean: a few more directories of post build cruft

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 Feb 2019 00:19:11 -0800

mypy (0.660-5) unstable; urgency=medium

  * Reporting needs python3-lxml.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 25 Jan 2019 10:13:54 -0800

mypy (0.660-4) unstable; urgency=medium

  * Fix the autopkgtests. Closes: #920048

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Jan 2019 14:56:34 -0800

mypy (0.660-3) unstable; urgency=medium

  * Team upload.
  * Fix spelling of dependency
    Closes: #920325
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 09:55:27 +0100

mypy (0.660-2) unstable; urgency=medium

  * Make explicit the dependencies of python3-mypy; add "Breaks" for older
    cwltool releases.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 22 Jan 2019 15:53:22 -0800

mypy (0.660-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0, no changes needed
  * Ignore changes to ./*egg-info via debian/source/options
  * Run the provided tests during build and as an autopkgtest
  * python3-mypy-extensions is now from a separate source package
  * Support the nocheck and/or nodoc Build Profiles

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 06:41:40 -0800

mypy (0.650-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 10 Dec 2018 20:28:20 -0800

mypy (0.641-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 16 Oct 2018 07:19:06 -0700

mypy (0.630-2) unstable; urgency=medium

  * Fix the version of mypy_extension. Closes: #909070, #909068

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 18 Sep 2018 11:38:12 -0700

mypy (0.630-1) unstable; urgency=medium

  * New upstream release.
  * Include mypy_extensions.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Sep 2018 11:05:13 -0700

mypy (0.620-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Aug 2018 11:09:09 -0700

mypy (0.610-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 11 Jun 2018 02:48:28 -0700

mypy (0.600-1) unstable; urgency=medium

  * New upstream release.
  * Add manpages for dmypy subcommands, as they are now officially in beta

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 06 May 2018 02:51:30 -0700

mypy (0.590-1) unstable; urgency=medium

  * Add basic autopkgtest and enable autopkgtest-pkg-python
  * Latest upstream.
  * Bump standards-version and update VCS fields to salsa

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Apr 2018 03:57:17 -0700

mypy (0.580-2) unstable; urgency=medium

  * Team upload
  * Depends: python3-pkg-resources
    Closes: #894075

 -- Andreas Tille <tille@debian.org>  Wed, 04 Apr 2018 13:41:34 +0200

mypy (0.580-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Add missing Depends: python3-distutils
    Closes: #894075
  * Docs moved to /usr/share/doc/mypy

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2018 13:20:59 +0200

mypy (0.570-1) unstable; urgency=medium

  * New upstream version.
  * Added manual page for dmypy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 10 Mar 2018 08:55:23 -0800

mypy (0.560-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #881604
  * Standards-Version: 4.1.2
  * New versioned Build-Depends: python3-psutil (>= 5.4.0)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:16:43 +0100

mypy (0.540-2) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Run cme fix on control file
    - Sort Build-Depends
    - Wrap and sort Depends
  * Run cme fix on copyright file
    - Use Expat instead of MIT
  * Move source package to utils section
  * Normalize the DH_VERBOSE preamble
  * Provide the documentation in mypy-doc
  * Provide the modules in python3-mypy (Closes: #879195)
  * Update copyright information.
    Thanks to Thorsten Alteholz for the review

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 28 Nov 2017 20:16:43 +0000

mypy (0.540-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 Oct 2017 10:40:39 -0700

mypy (0.530-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Oct 2017 10:20:18 -0700

mypy (0.521-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Jul 2017 10:10:00 -0700

mypy (0.520-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Jul 2017 07:34:50 -0700

mypy (0.511-2) unstable; urgency=high

  * Merge fix from Ubuntu / Michael Hudson-Doyle to prevent ftbfs when multiple
    python 3 versions are supported. (Closes: #865946)
  * Patch one of upstream's tests to use python3 explicitly

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Jul 2017 01:08:22 -0700

mypy (0.511-1ubuntu1) artful; urgency=medium

  * d/rules: fix manpage build when multiple versions of Python 3 are
    supported.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 26 Jun 2017 12:02:52 +1200

mypy (0.511-1) unstable; urgency=medium

  * Run the upstream tests
  * New upstream release
  * typed-ast is now a requirement, bump version req'd

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 24 Jun 2017 09:49:52 -0700

mypy (0.470-complete-1) unstable; urgency=medium

  * Use complete upstream source from PyPI, not incomplete tarball from
    GitHub. (Closes: #852819)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Feb 2017 02:59:28 -0800

mypy (0.470-1) unstable; urgency=medium

  * new upstream location
  * New upstream version 0.470

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 01:28:37 -0800

mypy (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2016 14:14:08 +0100

mypy (0.4.5-1) unstable; urgency=medium

  * recommend python3-typed-ast for the fast parser
  * new upstream-release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 08 Oct 2016 02:12:32 -0700

mypy (0.4.4-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 26 Aug 2016 00:52:42 -0700

mypy (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * patch typeshed/tests/pytype_test.py to use python3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 02 Aug 2016 07:34:58 -0700

mypy (0.4.2-2) unstable; urgency=medium

  * Update debian/copyrigh URL as excuse to rebuild package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 29 Jun 2016 08:35:10 -0700

mypy (0.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 09 Jun 2016 14:14:11 -0700

mypy (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 10 May 2016 08:08:14 -0700

mypy (0.4-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 06 May 2016 05:12:05 -0700

mypy (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #823512)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 05 May 2016 06:00:25 -0700
